<?php
//----------------------------------------------------------
// 基本情報設定
//----------------------------------------------------------

// ドメイン名またはIPアドレス
define('_DOMAIN_NAME', 			'www.yourdomain.com');		// ex) www.onedepo.com or 192.168.0.1

// データベース関連情報
define('_DATABASE_USERNAME',	'onedepo');					// データベースユーザー名
define('_DATABASE_PASSWORD',	'onedepo');					// データベースパスワード
define('_DATABASE_HOSTNAME',	'localhost');				// データベースホスト名
define('_DATABASE_DBNAME',		'onedepo');					// データベース名

// ディレクトリ情報
define('_HOME_DIRECTORY',		'/var/local/onedepo/onedepobase');		// ONE/DEPOがインストールされているディレクトリ

// メールユーザー名
define('_ADMIN_MAILADDR',		'someone@yourdomain.com');	// ONE/DEPOから発信されるメールのアドレス


// ---------------------------------------------------------
// 拡張設定
// ---------------------------------------------------------

// URL(最後に「/」はいらない)
define('URL_ROOT', 'http://' . _DOMAIN_NAME);

// エラー時URL
$dir  = dirname($_SERVER["SCRIPT_NAME"]);
$dir .= ($dir!="/") ? "/" : "";
define('ERROR_URL', URL_ROOT . $dir."error.html");

/**
 * SSL設定
 **/
// SSL用のURL(最後に「/」はいらない)
define('SSL_URL_ROOT', 'https://' . _DOMAIN_NAME);


// DSN(接続文字列)
// dbtype://username:password@host:port/database
define('DSN', 'pgsql://' 
			. _DATABASE_USERNAME . ':' 
			. _DATABASE_PASSWORD . '@' 
			. _DATABASE_HOSTNAME . '/' 
			. _DATABASE_DBNAME);


// 動作環境
ini_set('memory_limit', '128M');


//
// データインポート関連
//

// ディレクトリ
define('IMPORTDIR',           _HOME_DIRECTORY . '/dataimport');
define('IMPORTDIR_TEMP',      IMPORTDIR .'/temp');
define('IMPORTDIR_WORK',      IMPORTDIR .'/work');
define('IMPORTDIR_IMAGES',    IMPORTDIR .'/images');
define('IMPORTDIR_SAVED',     IMPORTDIR .'/saved');
define('IMPORTDIR_LOGS',      IMPORTDIR .'/logs');

// 画像登録ディレクトリ
define('IMAGE_IMPORT_DIR',    _HOME_DIRECTORY . '/imageimport');
define('IMAGE_IMPORT_DIR_L',  IMAGE_IMPORT_DIR .'/large');
define('IMAGE_IMPORT_DIR_M',  IMAGE_IMPORT_DIR .'/middle');
define('IMAGE_IMPORT_DIR_S',  IMAGE_IMPORT_DIR .'/small');

// 最大処理件数
define('IMPORT_MAX',        500);

// 商品画像ディレクトリ
define('IMAGE_DIR',           _HOME_DIRECTORY . '/images');
define('IMAGE_WORKDIR',       IMAGE_DIR .'/work');
define('IMAGE_CACHEDIR',      IMAGE_DIR .'/cache');

// 商品画像が無い時に表示する画像
define('IMAGE_S_NOTFOUND',    _HOME_DIRECTORY . '/www/htdocs/img/noimage2.gif');
define('IMAGE_M_NOTFOUND',    _HOME_DIRECTORY . '/www/htdocs/img/noimage1.gif');


// インポートデータ、必須項目数(列数)
define('REQUIRE_ITEMCOUNT', 30);


// データエクスポート用
define('TEMP_DIR',          '/tmp/');
define('DATAEXPORT_DL_DIR',   _HOME_DIRECTORY . '/www/htdocs/exportdata');

//
//可逆暗号Mcrypt関数関連
//

//暗号モジュールのオープン時に渡される引き数
define('MCRYPT_PARA1', 'rijndael-256');
define('MCRYPT_PARA2', '');
define('MCRYPT_PARA3', 'ofb');
define('MCRYPT_PARA4', '');

//暗号化・復号化に必要とされる文字列
define('MCRYPT_KEY', 'onedepo');

// ユーザー管理商品情報
define('ITEMEXHIBIT_RECODE_LIMIT', 12);

// ポータルのお知らせ関連
define('NEWS_DATE_LIMIT',   30);				// 日数指定
define('NEWS_RECORD_LIMIT', 5);					// 件数指定

// ポータルのお勧め商品関連
define('RECOMMEND_RECORD_LIMIT', 12);			// 件数指定

// ポータル管理関連
define('ADMIN_RECOMMEND_RECORD_LIMIT', 12);		// 件数指定
define('ADMIN_NEWS_VIEW_LIMIT', 12);			// 表示数指定

// ポータルのサイドメニュー関連
define('SIDEMENU_KEYWORD_RECORD_LIMIT', 20);	// 件数指定

// ランキング表示関連
define('RANKING_RECORD_LIMIT', 5);				// 件数指定

// タグ関連
define('ITEM_TAG_LIMIT', 5);					// おすすめ商品タグ表示数
define('POPULAR_TAG_LIMIT', 15);				// 注目タグ表示数

// 注目タグ　各フォントサイズの割合
define('FONTSIZE_PERCENT_1', 220);       // タグ使用ランクが１のタグ
define('FONTSIZE_PERCENT_2', 200);       // タグ使用ランクが２のタグ
define('FONTSIZE_PERCENT_3', 180);       // タグ使用ランクが３のタグ
define('FONTSIZE_PERCENT_4', 160);       // タグ使用ランクが４のタグ
define('FONTSIZE_PERCENT_5', 140);       // タグ使用ランクが５のタグ
define('FONTSIZE_PERCENT_6', 120);       // タグ使用ランクが６のタグ
define('FONTSIZE_PERCENT_7', 100);       // タグ使用ランクが７のタグ
define('FONTSIZE_PERCENT_8', 80);        // タグ使用ランクが８のタグ

/*
 * 出品関係の機能
 * true:使用する false:使用しない
 */
define('USE_FUNCTIONAL_EXHIBIT', false);
/*
 * 出品
 * 自由出品を使用するかどうか
 * true:使用する false:使用しない
 */
define('USE_FREE_EXHIBIT', false);
/*
 * 出品
 * カード情報を入力するか
 * true:入力する false:入力しない
 */
define('INPUT_CARD_INFO', false);
/*
 * 出品
 * 詳細画面の「出品する」ボタンを使用するかどうか
 * true:使用する false:使用しない
 */
define('USE_EXHIBIT_BTN', false);

/**
 * 出品
 * 出品者にダウンロード商品の掲載を許す
 * true:許す false:許さない
 **/
define('USE_EXHIBIT_DOWNLOAD', false);

/*
 * 出品
 * 出品者自身が登録した商品しか出品させない
 * true:使用する false:使用しない
 */
define('MY_ITEM_ONLY_EXHIBIT', false);

/*
 * リクエスト関係の機能
 * true:使用する false:使用しない
 */
define('USE_FUNCTIONAL_REQUEST', false);

// 注文履歴一覧
define('ORDER_RECORD_LIMIT', 10);

// 最近の注文一覧
define('RECENT_ORDER', 30); //日数指定

// 公開側・出品履歴一覧
define('ITEMEXHIBIT_HISTORY', 10);  //件数指定

/*
 * インポート関連
 *
 */
// 在庫数
define('IMPORT_EXHIBITCOUNT', 0);

// コンディション
// 1:新品（既定） 2:ほぼ新品 3:非常に良い 4:良い 5：可
define('IMPORT_CONDITION', 1);

// 送料
define('IMPORT_SOURYOUPRC', 300);

// 在庫状態
// 1:予約 2:発注 3:納品 4:未納 5:在庫無し(デフォルト)
define('IMPORT_STOCKSTATE', 5);

// 消費税(％)
define('CONSUMPTION_TAX', 5);

/**
 * 宅急便料金
 **/
define('SITE_TAKKYUBIN', 0);

/**
 * 代引手数料
 **/
//define('SITE_DAIBIKI', 500);
/**
 * 代引手数料
 *   9999円まで315円
 *  29999円まで420円
 *  99999円まで630円
 * 299999円まで1050円
 * 300000円以上無料
 **/
define('DAIBIKI_COST', '9999:315,29999:420,99999:630,299999:1050');

/**
 * 郵便振替手数料
 **/
define('SITE_YUUBIN', 0);

/**
 * サイトの規定送料
 **/
define('SITE_SOURYOU', 300);

/**
 * クロネコヤマト 送料 サイズ
 * 60    60サイズ  60cmまで  2kgまで
 * 80    80サイズ  80cmまで  5kgまで
 * 100   100サイズ 100cmまで 10kgまで
 * 120   120サイズ 120cmまで 15kgまで
 * 140   140サイズ 140cmまで 20kgまで
 * 160   160サイズ 160cmまで 25kgまで
 *
 * 160以上を設定すると、送料0円になります。
 **/
define('YAMATO_SOURYOU_SIZE', 60);

/**
 * '01' 北海道
 * '02' 青森県
 * '03' 岩手県
 * '04' 宮城県
 * '05' 秋田県
 * '06' 山形県
 * '07' 福島県
 * '08' 茨城県
 * '09' 栃木県
 * '10' 群馬県
 * '11' 埼玉県
 * '12' 千葉県
 * '13' 東京都
 * '14' 神奈川県
 * '15' 新潟県
 * '16' 富山県
 * '17' 石川県
 * '18' 福井県
 * '19' 山梨県
 * '20' 長野県
 * '21' 岐阜県
 * '22' 静岡県
 * '23' 愛知県
 * '24' 三重県
 * '25' 滋賀県
 * '26' 京都府
 * '27' 大阪府
 * '28' 兵庫県
 * '29' 奈良県
 * '30' 和歌山県
 * '31' 鳥取県
 * '32' 島根県
 * '33' 岡山県
 * '34' 広島県
 * '35' 山口県
 * '36' 徳島県
 * '37' 香川県
 * '38' 愛媛県
 * '39' 高知県
 * '40' 福岡県
 * '41' 佐賀県
 * '42' 長崎県
 * '43' 熊本県
 * '44' 大分県
 * '45' 宮崎県
 * '46' 鹿児島県
 * '47' 沖縄県
 **/
define('YAMATO_SOURYOU_CHIIKI', 13);

/**
 * 出品手数料
 **/
define('EXHIBIT_COMMISSION', 0.1);

/**
 * 送料の最大請求金額
 **/
define('SOURYOU_MAX', 2000);

/**
 * BCCメール送信先(購入)
 **/
define('MAIL_BCC_ORDER',    _ADMIN_MAILADDR);

/**
 * BCCメール送信先(会員登録)
 **/
define('MAIL_BCC_MEMBER',	_ADMIN_MAILADDR);

/**
 * BCCメール送信先(出品)
 **/
define('MAIL_BCC_SELLER',	_ADMIN_MAILADDR);

/**
 * BCCメール送信先(その他)
 **/
define('MAIL_BCC',			_ADMIN_MAILADDR);

/**
 * メールフォーム送信先
 **/
define('ONEDEPO_MAIL',		_ADMIN_MAILADDR);

/**
 * メール送信元アドレス
 **/
define('MAIL_FROM',			_ADMIN_MAILADDR);


/**
 * メールマガジン関連
 **/
define('MAILMAG_FROM', 		_ADMIN_MAILADDR);		// メールマガジン 送信元
define('MAILMAG_TO',		_ADMIN_MAILADDR);		// メールマガジン 送信先
define('MAILMAG_REPLYTO',	_ADMIN_MAILADDR);       // メールマガジン 返信先
define('MAILMAG_SENDMAX',   10);     				// メールマガジン BCC同時送信数


/**
 * 管理 - 商品販売価格一括変更
 **/
define('PRICE_MINUS'     , 500);    // XX円引
define('PRICE_RATE_MINUS', 10);     // XX％引
define('PRICE_PLUS'      , 500);    // XX円増
define('PRICE_RATE_PLUS' , 10);     // XX％増


/**
 * ランキング - 売上数の割合
 * 設定を5にした時、アクセス数に対して、1対5の割合になる
 **/
define('RANKING_ORDER_PER', 5);

/**
 * 返品可能日付
 * 　発送後XX日まで
 **/
define('ITEMBUY_RETURN_DAY', 14);

/**
 * ジャンル一覧での表示順の制限数
 * (1からGENRE_DISP_MAX-1 を取得する)
 **/
define('GENRE_DISP_MAX', 500);


/**
 * ジャンルの最大ネスト数（デフォルトは2）
 * 2世代の親子関係を作りたいときは、2を設定する。
 * 2以下を設定した場合、動作は2を設定した時と変わりません。
 **/
define('GENRE_MAX_NEST', 1);
/**
 * ジャンルの画像登録のオンオフ
 **/
define('USE_GENRE_IMAGE', true);


/**
 * ショップ名
 **/
define('SHOP_NAME', 'ONE/DEPO');
/**
 * ショップ説明
 **/
define('SHOP_CONTENT', '新しいライフスタイルを提案するセレクトショップです。');
/**
 * ショップロゴ
 **/
define('SHOP_LOGO', 'img/shop_name.gif');
/**
 * ショップ、トップ画像
 **/
define('SHOP_TOP_IMG', 'img/main_visual.jpg');

/**
 * 購入時、備考
 **/
define('BUY_NOTE', '配送時間指定
09:00～12:00
12:00～14:00
14:00～16:00
16:00～19:00
19:00～21:00

のし希望
なし
あり
');

/**
 * ダウンロード販売数制限
 * -1 :無制限
 **/
define('DL_COUNT', 5);

/**
 * ダウンロード販売期間
 **/
define('DL_REPIOD_DAYS', 30);

/**
 * 郵便振替使用
 * true:使用する false:使用しない
 **/
define('USE_YUUBINF',   false);

/**
 * 出品者商品でもカード以外の支払いを利用
 * true:使用する false:使用しない
 */
define('USE_BANK_SELLER_ITEM',   true);

/**
 * ダウンロード商品でも銀行振り込みを利用
 * true:使用する false:使用しない
 * ※未検証機能です。trueにしないで下さい。
 */
define('USE_BANK_DOWNLOAD_ITEM',   false);

/**
 * 出品者商品、購入時
 * 代引を使用するかどうか
 * true:使用する false:使用しない
 **/
define('SELLER_PAY_ETC', false);

/**
 * コンビニ決済を使用
 * true:使用する false:使用しない
 **/
define('USE_CVS',   false);

/**
 * コンビニ支払い期限(日数)
 **/
define('CVS_PAY_LIMIT',   10);

/**
 * カード決済を利用する
 * true：利用する
 * false：利用しない
 **/
define('USE_CARD_PAYMENT', false);

/**
 * 決済会社
 * ベリトランス：veritrans
 * ルミーズ：remise（USE_CARD_PAYMENTがfalseの場合はremiseを設定）
 **/
define('PAY_MERCHANT', 'remise');

/**
 * カードの再利用が出来ない契約の場合、falseにする
 **/
define('CARD_REPAYMENT', false);

/**
 * 決済情報の一時ファイルを置くディレクトリ
 **/
define('PAY_INFO_TMPDIR', _HOME_DIRECTORY . '/pay_info/');


/**
 * 商品詳細でカートに入れるを表示しない
 * true:表示しない false:表示する
 **/
define('NOT_DISPLAY_CARTIN', false);
/**
 * 商品詳細で価格と送料を表示しない
 * true:表示しない false:表示する
 **/
define('NOT_DISPLAY_PRICE', false);

/**
 * 出品者の商品登録画面でniceditを使用
 * 設定していれば、設置されます
 **/
define('USE_NICEDIT_SELLER', false);

/**
 * Google analytics トラッキングコード
 * 設定していれば、設置されます
 **/
define('GOOGLE_ANALYTICS_TRACKER_CODE', '');
?>
